-- ********************************************************
-- Mods
-- ********************************************************
nonMods={
};

-- ********************************************************
-- Samples
-- ********************************************************
nonSamples={
};

-- ********************************************************
-- Pictures
-- ********************************************************
nonPics={
	icons=NonImage.new("..\\graphics\\icons.f16",288,100),
	gameicons=NonImage.new("..\\graphics\\gameicon.f16",48,8),
	smallfontpic=NonImage.new("..\\graphics\\fonts\\8x8reihe.f16",520,8),
	smallfontredpic=NonImage.new("..\\graphics\\fonts\\8x8redos.f16",520,8),
	bigfontpic=NonImage.new("..\\graphics\\fonts\\font2025.f16",1940,25),
	bigfontcolors=NonImage.new("..\\graphics\\fonts\\cols2024.f16",60,25),
	redbluepic=NonImage.new("..\\graphics\\fonts\\redblue.f16",1008,14),
	jagpads=NonImage.new("..\\graphics\\colorpa2.f16",256,20),
	playersprites=NonImage.new("..\\graphics\\playersp.f16",100,30),
	missinginaction=NonImage.new("..\\graphics\\tabl_mia.f16",296,112);
};


-- ********************************************************
-- Shapes
-- ********************************************************
nonShapes={
	empty=NonShape.new(0,0,2,2,nonPics.jagpads),
	EMPTY=NonShape.new(70,10,16,16,nonPics.playersprites),
	buttonnotpressed=NonShape.new(50,10,16,18,nonPics.playersprites),
	buttonpressed=NonShape.new(30,10,16,18,nonPics.playersprites),
	icons={
		options=NonShape.new(0,0,36,25,nonPics.icons),
		start=NonShape.new(36,0,36,25,nonPics.icons),
		yes=NonShape.new(72,0,36,25,nonPics.icons),
		controllers=NonShape.new(108,0,36,25,nonPics.icons),
		no=NonShape.new(144,0,36,25,nonPics.icons),
		pad=NonShape.new(180,0,36,25,nonPics.icons),
		credits=NonShape.new(216,0,36,25,nonPics.icons),
		quit=NonShape.new(252,0,36,25,nonPics.icons),
		linesize=NonShape.new(0,25,36,25,nonPics.icons),
		delline=NonShape.new(36,25,36,25,nonPics.icons),
		rounds=NonShape.new(72,25,36,25,nonPics.icons),
		points=NonShape.new(108,25,36,25,nonPics.icons),
		players=NonShape.new(144,25,36,25,nonPics.icons),
		same=NonShape.new(180,25,36,25,nonPics.icons),
		increase=NonShape.new(216,25,36,25,nonPics.icons),
		decrease=NonShape.new(252,25,36,25,nonPics.icons)
	},
	bigfontcolors={
		blue=NonShape.new(0,0,20,25,nonPics.bigfontcolors),
		gold=NonShape.new(20,0,20,25,nonPics.bigfontcolors),
		red=NonShape.new(40,0,20,25,nonPics.bigfontcolors),
	},
	jagpads={
		NonShape.new(0,0,32,20,nonPics.jagpads),
		NonShape.new(32,0,32,20,nonPics.jagpads),
		NonShape.new(64,0,32,20,nonPics.jagpads),
		NonShape.new(96,0,32,20,nonPics.jagpads),
		NonShape.new(128,0,32,20,nonPics.jagpads),
		NonShape.new(160,0,32,20,nonPics.jagpads),
		NonShape.new(192,0,32,20,nonPics.jagpads),
		NonShape.new(224,0,32,20,nonPics.jagpads),
	},
	playersprites={
		NonShape.new(0,0,4,4,nonPics.playersprites),
		NonShape.new(10,0,4,4,nonPics.playersprites),
		NonShape.new(20,0,4,4,nonPics.playersprites),
		NonShape.new(30,0,4,4,nonPics.playersprites),
		NonShape.new(40,0,4,4,nonPics.playersprites),
		NonShape.new(50,0,4,4,nonPics.playersprites),
		NonShape.new(60,0,4,4,nonPics.playersprites),
		NonShape.new(70,0,4,4,nonPics.playersprites),
	},
	mia={
		NonShape.new(0,0,296,16,nonPics.missinginaction),
		NonShape.new(0,16,296,16,nonPics.missinginaction),
		NonShape.new(0,32,296,16,nonPics.missinginaction),
		NonShape.new(0,48,296,16,nonPics.missinginaction),
		NonShape.new(0,64,296,16,nonPics.missinginaction),
		NonShape.new(0,80,296,16,nonPics.missinginaction),
		NonShape.new(0,96,296,16,nonPics.missinginaction),
	},
};

-- ********************************************************
-- Fonts
-- ********************************************************
nonFonts={
	small=NonFont.new(nonPics.smallfontpic,nonShapes.empty,7,7,1,0,0,8),
	smallred=NonFont.new(nonPics.smallfontredpic,nonShapes.empty,7,7,1,0,0,8),
	white=NonFont.new(nonPics.bigfontpic,nonShapes.empty,19,24,1,0,0,21),
	blue=NonFont.new(nonPics.bigfontpic,nonShapes.bigfontcolors.blue,19,24,255,0,0,21),
	gold=NonFont.new(nonPics.bigfontpic,nonShapes.bigfontcolors.gold,19,24,255,0,0,21),
	red=NonFont.new(nonPics.bigfontpic,nonShapes.bigfontcolors.red,19,24,255,0,0,21),
	redblue=NonFont.new(nonPics.redbluepic,nonShapes.empty,15,13,0,0,0,15),
};

